<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>MVCBasic</groupId>
  <artifactId>MVCBasic</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <build>
    <sourceDirectory>src</sourceDirectory>
    <plugins>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.5.1</version>
        <configuration>
          <source/>
          <target/>
        </configuration>
      </plugin>
	  <plugin>
		  <groupId>org.apache.maven.plugins</groupId>
		  <artifactId>maven-assembly-plugin</artifactId>
		  <configuration>
       		<descriptorRefs>
	    	   	<descriptorRef>jar-with-dependencies</descriptorRef>
	      	</descriptorRefs>
		  	<archive>
		  		<manifest>
		  			<mainClass>br.edu.Principal.Principal</mainClass>
		  		</manifest>
		  	</archive>
		  </configuration>  
		  <executions>
		  	<execution>
		  		<phase>package</phase>
		  		<goals>
		  			<goal>single</goal>
		  		</goals>		  		
		  	</execution>
		  </executions>
	   </plugin>	      
    </plugins>
  </build>
</project>